ColumnDef (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class ColumnDef

- java.lang.Object
- - org.apache.cassandra.thrift.ColumnDef

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnDef>, org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>

      public class ColumnDef
      extends java.lang.Object
      implements org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnDef>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnDef._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `index_name`
    `java.util.Map<java.lang.String,java.lang.String>` | `index_options`
    `IndexType` | `index_type`
    `static java.util.Map<ColumnDef._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.nio.ByteBuffer` | `name`
    `java.lang.String` | `validation_class`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDef()`
    `ColumnDef(java.nio.ByteBuffer name, java.lang.String validation_class)`
    `ColumnDef(ColumnDef other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForName()`
    `void` | `clear()`
    `int` | `compareTo(ColumnDef other)`
    `ColumnDef` | `deepCopy()`
    `boolean` | `equals(ColumnDef that)`
    `boolean` | `equals(java.lang.Object that)`
    `ColumnDef._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(ColumnDef._Fields field)`
    `java.lang.String` | `getIndex_name()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getIndex_options()`
    `int` | `getIndex_optionsSize()`
    `IndexType` | `getIndex_type()`
    `byte[]` | `getName()`
    `java.lang.String` | `getValidation_class()`
    `int` | `hashCode()`
    `boolean` | `isSet(ColumnDef._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIndex_name()` Returns true if field index_name is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIndex_options()` Returns true if field index_options is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIndex_type()` Returns true if field index_type is set (has been assigned a value) and false otherwise
    `boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `isSetValidation_class()` Returns true if field validation_class is set (has been assigned a value) and false otherwise
    `void` | `putToIndex_options(java.lang.String key, java.lang.String val)`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(ColumnDef._Fields field, java.lang.Object value)`
    `ColumnDef` | `setIndex_name(java.lang.String index_name)`
    `void` | `setIndex_nameIsSet(boolean value)`
    `ColumnDef` | `setIndex_options(java.util.Map<java.lang.String,java.lang.String> index_options)`
    `void` | `setIndex_optionsIsSet(boolean value)`
    `ColumnDef` | `setIndex_type(IndexType index_type)`
    `void` | `setIndex_typeIsSet(boolean value)`
    `ColumnDef` | `setName(byte[] name)`
    `ColumnDef` | `setName(java.nio.ByteBuffer name)`
    `void` | `setNameIsSet(boolean value)`
    `ColumnDef` | `setValidation_class(java.lang.String validation_class)`
    `void` | `setValidation_classIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetIndex_name()`
    `void` | `unsetIndex_options()`
    `void` | `unsetIndex_type()`
    `void` | `unsetName()`
    `void` | `unsetValidation_class()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.nio.ByteBuffer name

    - #### validation_class

          public java.lang.String validation_class

    - #### index_type

          public IndexType index_type

      See Also:
        `IndexType`

    - #### index_name

          public java.lang.String index_name

    - #### index_options

          public java.util.Map<java.lang.String,java.lang.String> index_options

    - #### metaDataMap

          public static final java.util.Map<ColumnDef._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ColumnDef

          public ColumnDef()

    - #### ColumnDef

          public ColumnDef(java.nio.ByteBuffer name,
                           java.lang.String validation_class)

    - #### ColumnDef

          public ColumnDef(ColumnDef other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ColumnDef deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### getName

          public byte[] getName()

    - #### bufferForName

          public java.nio.ByteBuffer bufferForName()

    - #### setName

          public ColumnDef setName(byte[] name)

    - #### setName

          public ColumnDef setName(java.nio.ByteBuffer name)

    - #### unsetName

          public void unsetName()

    - #### isSetName

          public boolean isSetName()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### setNameIsSet

          public void setNameIsSet(boolean value)

    - #### getValidation_class

          public java.lang.String getValidation_class()

    - #### setValidation_class

          public ColumnDef setValidation_class(java.lang.String validation_class)

    - #### unsetValidation_class

          public void unsetValidation_class()

    - #### isSetValidation_class

          public boolean isSetValidation_class()

      Returns true if field validation_class is set (has been assigned a value) and false otherwise

    - #### setValidation_classIsSet

          public void setValidation_classIsSet(boolean value)

    - #### getIndex_type

          public IndexType getIndex_type()

      See Also:
        `IndexType`

    - #### setIndex_type

          public ColumnDef setIndex_type(IndexType index_type)

      See Also:
        `IndexType`

    - #### unsetIndex_type

          public void unsetIndex_type()

    - #### isSetIndex_type

          public boolean isSetIndex_type()

      Returns true if field index_type is set (has been assigned a value) and false otherwise

    - #### setIndex_typeIsSet

          public void setIndex_typeIsSet(boolean value)

    - #### getIndex_name

          public java.lang.String getIndex_name()

    - #### setIndex_name

          public ColumnDef setIndex_name(java.lang.String index_name)

    - #### unsetIndex_name

          public void unsetIndex_name()

    - #### isSetIndex_name

          public boolean isSetIndex_name()

      Returns true if field index_name is set (has been assigned a value) and false otherwise

    - #### setIndex_nameIsSet

          public void setIndex_nameIsSet(boolean value)

    - #### getIndex_optionsSize

          public int getIndex_optionsSize()

    - #### putToIndex_options

          public void putToIndex_options(java.lang.String key,
                                         java.lang.String val)

    - #### getIndex_options

          public java.util.Map<java.lang.String,java.lang.String> getIndex_options()

    - #### setIndex_options

          public ColumnDef setIndex_options(java.util.Map<java.lang.String,java.lang.String> index_options)

    - #### unsetIndex_options

          public void unsetIndex_options()

    - #### isSetIndex_options

          public boolean isSetIndex_options()

      Returns true if field index_options is set (has been assigned a value) and false otherwise

    - #### setIndex_optionsIsSet

          public void setIndex_optionsIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ColumnDef._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(ColumnDef._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### isSet

          public boolean isSet(ColumnDef._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(ColumnDef that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ColumnDef other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ColumnDef>`

    - #### fieldForId

          public ColumnDef._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<ColumnDef,ColumnDef._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation